unit Sort;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls;

type
  TSortFrm = class(TForm)
    SortByRadio: TRadioGroup;
    Sort: TSpeedButton;
    SortMapObjects: TRadioButton;
    SortScreenObjects: TRadioButton;
    procedure SortClick(Sender: TObject);
    procedure SortMapObjectsClick(Sender: TObject);
    procedure SortScreenObjectsClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SortFrm: TSortFrm;

implementation

uses LIE;

{$R *.dfm}

procedure TSortFrm.SortClick(Sender: TObject);
begin
  If (SortMapObjects.Checked) and (SortByRadio.ItemIndex <> -1) then Lie.QSort(Low(Lie.MapImage),High(Lie.MapImage),SortByRadio.ItemIndex,SortMapObjects.Checked);
  If (SortScreenObjects.Checked) and (SortByRadio.ItemIndex <> -1) then Lie.QSort(Low(Lie.ScreenImage),High(Lie.ScreenImage),SortByRadio.ItemIndex,SortMapObjects.Checked);
  MainFrm.UpdateBoxes;
  MainFrm.Enabled := True;
  SortFrm.Close;
end;

procedure TSortFrm.SortMapObjectsClick(Sender: TObject);
begin
  SortScreenObjects.Checked := False;
end;

procedure TSortFrm.SortScreenObjectsClick(Sender: TObject);
begin
  SortMapObjects.Checked := False;
  
end;

procedure TSortFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainFrm.Enabled := True;
end;

procedure TSortFrm.FormCreate(Sender: TObject);
begin
  If (MainFrm.ObjectsBox.ItemIndex < 1) then
  begin
    SortMapObjects.Checked := True;
    SortScreenObjects.Checked := False;
  end
  ELSE
  begin
    SortMapObjects.Checked := False;
    SortScreenObjects.Checked := True;
  end;
  If Lie.MapCount < 1 then
  begin
    SortMapObjects.Enabled := False;
  end
  ELSE
  begin
    SortMapObjects.Enabled := True;
  end;
  If Lie.ScreenCount < 1 then
  begin
    SortScreenObjects.Enabled := False;
  end
  ELSE
  begin
    SortScreenObjects.Enabled := True;
  end;
end;

end.
